[PATCH modular 09/10] Rely on "git clone" return value.
Trevor Woerner
twoerner at gmail.com
Thu Sep 30 14:28:55 PDT 2010
From: Trevor Woerner <twoerner at gmail.com>
Don't allow the "git clone" to succeed if a partial clone occurs
(i.e. hangup).
Signed-off-by: Trevor Woerner <twoerner at gmail.com>
---
build.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/build.sh b/build.sh
index ae7d34e..a427b57 100755
--- a/build.sh
+++ b/build.sh
@@ -203,7 +203,7 @@ clone() {
if [ ! -d "$DIR" ]; then
git clone "$GITROOT/$BASEDIR$DIR" "$DIR"
- if [ $? -ne 0 ] && [ ! -d "$DIR" ]; then
+ if [ $? -ne 0 ]; then
echo "Failed to clone $1 module component $2. Ignoring."
clonefailed_components="$clonefailed_components $1/$2"
return 1
--
1.7.3.1.45.g9855b
More information about the xorg-devel
mailing list